/*****************************************************
Demo Programm for using the tlc5922.c Library

COMPILE WITH CODEVISIONAVR

Author: Kai Franke
Date: 02.02.2008

This software is Freeware :)
*****************************************************/

#include <mega8.h>
#include <delay.h>
#include "tlc5922.c"

void main(void)
{
        initialize();                   // initialize SPI and Timer1         
                                        
        
        // Start of a Demo Program for two TLCs connected daisy-chained with 5 RGBs each
        
        set_global_color(127,0,0);      // set global color to red    
        delay_ms(1000);                 // hold it for a second
                             
        set_global_color(0,127,0);      // set global color to green
        delay_ms(1000);                 // hold it for a second
                
        set_global_color(0,0,127);      // set global color to blue
        delay_ms(1000);                 // hold it for a second
                
        rgb_on[0] = 0b00010101;         // only show LED 1,3,5 for the first driver   
        rgb_on[1] = 0b00001010;         // only show LED 2,4 for the second driver
        set_rgb_on();                   // convert and transmit
        delay_ms(1000);                 // hold it for a second
                
        rgb_on[0] = 0b00001010;         // only show LED 2,4 for the first driver
        rgb_on[1] = 0b00010101;         // only show LED 1,3,5 for the second driver 
        set_rgb_on();                   // convert and transmit
        delay_ms(1000);                 // hold it for a second
                                        
        reset();                        // reset all LEDs to ON with brightness 0
        
        color_flow_on(100);             // start the mood light effect with changing speed 100
        delay_ms(20000);                // hold it for 20 seconds
        color_flow_off();               // stop the effect
                
        set_global_color(127,127,127);  // set the global color to white
        delay_ms(2000);                 // hold it for 2 seconds
                
        running_light_on(1000);         // start the running light with speed 1000
        delay_ms(20000);                // hold it for 2 seconds
        
        running_light_off();            // stop the running light
        
        ALL_OFF()                       // all LEDs are forced off using BLANK
        while (1)
        {              
                
        };
}
